druid不支持OSGI

小珂 发布于 2016/03/04 11:30
阅读 640
收藏 0

@wenshao 你好,想跟你请教个问题:

druid怎么不支持一下OSGI?

我是在OSGI运行环境下使用druid的,虽然有工具可以对jar包进行转换,初步验证也能连接db查询数据,但由于druid 依赖的jconsole和tools也不支持osgi,而这两个依赖包我没install到OSGI运行环境中,报了"load filter error, filter not found : stat" 这个异常,针对这个异常,我想如果不使用druid的监控功能,去掉jconsole和tools这两个依赖包,仅使用druid.jar,是否会有问题?

感谢先~!

加载中
0
wenshao
wenshao
可以,druid无依赖
0
wenshao
wenshao
现在还有人用osgi啊,古老的技术
0
开源JXADF
开源JXADF
Java9的模块化技术jigsaw,还没有推出,OSGi已成为JAVA模块化事实标准,目前大多数Jar包,都是支持OSGi的,OSGi经过这些年的发展,已非常之NB了,OSGi开源社区中JXADF也非常棒,在http://osgia.com中还有在线演示。
0
小珂
小珂
看来OSGI已经快被大家遗忘了
返回顶部
顶部